Skip to main content
PUT
/
api
/
v2
/
network
/
adv-billing
/
preferences
/
{id}
Update advertiser billing preferences
curl --request PUT \
  --url 'https://{domain}/api/v2/network/adv-billing/preferences/{id}?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoice_type": 1,
  "invoice_frequency": 1,
  "payment_terms": 1,
  "vat": 1,
  "beneficiary_name": "string"
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

id
integer
required

Advertiser ID.

Body

application/json
invoice_type
integer
invoice_frequency
integer
payment_terms
integer
vat
integer
beneficiary_name
string
billing_email
string
beneficiary_address
string
tax_id
string

Response

Preferences updated.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string